# Encoder

#### **`encode_uint8`**

Converts uint8 to cell.

```
function encode_uint8(uint8 num) external responsible pure returns (TvmCell)
```

**Parameters:**

| Name | Type  | Description               |
| ---- | ----- | ------------------------- |
| num  | uint8 | uint8 value to be encoded |

**Return value:**

| Type    | Description                   |
| ------- | ----------------------------- |
| TvmCell | Encoded number to cell format |

#### **`encodeEthereumStakingEventData`**

Converts Ethereum staking event data to cell.

```
function encodeEthereumStakingEventData(uint160 eth_addr, int8 wk_id, uint256 ton_addr_body) public pure returns (TvmCell data)
```

**Parameters:**

| Name            | Type    | Description             |
| --------------- | ------- | ----------------------- |
| eth\_addr       | uint160 | Ethereum address        |
| wk\_id          | int8    | Workchain id            |
| ton\_addr\_body | uint256 | Body of the ton address |

**Return value:**

| Name | Type    | Description                                 |
| ---- | ------- | ------------------------------------------- |
| data | TvmCell | Ethereum staking event data encoded to cell |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.octusbridge.io/integrate/octus-bridge-contracts/everscale/staking-section/encoder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
